diff a/src/java.base/share/classes/java/io/InvalidClassException.java b/src/java.base/share/classes/java/io/InvalidClassException.java
--- a/src/java.base/share/classes/java/io/InvalidClassException.java
+++ b/src/java.base/share/classes/java/io/InvalidClassException.java
@@ -35,10 +35,13 @@
  * <LI> The class does not have an accessible no-arg constructor
  * <LI> The ObjectStreamClass of an enum constant does not represent
  *      an enum type
  * <LI> Other conditions given in the <cite>Java Object Serialization
  *      Specification</cite>
+ * <LI> A {@linkplain Class#isValue()} value class implements {@linkplain Serializable}
+ *      but does not delegate to a serialization proxy using {@code writeReplace()}.
+ * <LI> A {@linkplain Class#isValue()} value class implements {@linkplain Externalizable}.
  * </UL>
  *
  * @since   1.1
  */
 public class InvalidClassException extends ObjectStreamException {
